using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Services
{
    public interface IMenuService
    {
        Task<IResponseOutput> AddOrUpdateMenu(MenuCommand menuAddOrUpdateModel);
        Task<IResponseOutput> DeleteMenu(Guid menuId);
        Task<List<MenuDTO>> GetMenuList(MenuQueyDTO menuQueyDTO);
        Task<List<MenuTreeNode>> GetMenuTree();
        Task<List<MenuTreeNodeSelect>> GetUserTypeMenuTree(Guid userTypeId);
    }
}